import java.util.Arrays;
import java.util.List;

public class StreamsDemo
{
   public static void main(String[] args)
   {
      class Employee
      {
         private String name;
         private int age;
         Employee(String name, int age)
         {
            this.name = name;
            this.age = age;
         }
         String getName() { return name; }
         int getAge() { return age; }
      }
      List<Employee> employees = Arrays.asList(new Employee("John Doe", 29),
                                               new Employee("Jane Jones", 48),
                                               new Employee("Roger Price", 63),
                                               new Employee("Janet Smith", 27));
      employees.stream().filter(x -> x.getAge() > 45).forEach(System.out::println);
      employees.stream().filter(x -> x.getAge() > 45).map(Employee::getName).
                         forEach(System.out::println);
      int sum = employees.stream().filter(x -> x.getAge() > 45).
                                   mapToInt(Employee::getAge).sum();
      System.out.println(sum);
   }
}